Puppet Enterprise 信任管理问题漏洞

CVE编号

CVE-2019-10694

利用情况

暂无

补丁情况

N/A

披露时间

2019-12-12
漏洞描述
Puppet是美国Puppet实验室的一套基于客户端/服务器(C/S)架构的配置管理工具,它可用于管理配置文件、用户、cron任务、软件包、系统服务等。Puppet Enterprise是Puppet的企业版。
Puppet Enterprise 2019.0.3之前版本中存在安全漏洞。攻击者可利用该漏洞绕过限制,提升权限。
快速安装是建议安装Puppet Enterprise的方法,它在安装结束时为用户提供一个URL,以设置管理员密码。如果他们不使用该URL,则管理员用户的默认密码会被忽略。这已在Puppet Enterprise 2019.0.3和2018.1.9中解决。

解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://puppet.com/security/cve/CVE-2019-10694
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 puppet puppet * From
(including)
2018.1.0
Up to
(excluding)
2018.1.9
运行在以下环境
应用 puppet puppet * From
(including)
2019.0
Up to
(excluding)
2019.0.3
CVSS3评分
9.8
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-798 使用硬编码的凭证
阿里云安全产品覆盖情况